NET2IR(1)

NAME
net2ir - produce :iroute commands to route a netlist composed of two-point nets

SYNOPSIS
net2ir feedfile netfile

DESCRIPTION
Net2ir is used to produce commands for the Magic interactive hint router to route the collection of two-point nets specified in the net(5) file netfile, in the order in which they appear in the file. The label locations come from feedfile, which should consist of a series of box and feedback add Magic commands, such as produced by the find command (in a Magic netlist window). The text associated with each feedback command must be of the form layer;label, where layer is the Magic layer on which label lies.

The output of net2ir is a sequence of :iroute route commands, one for each net in the netlist file.

SEE ALSO
magic(1), net(5)

AUTHOR
Walter Scott